
		
/**
 * Arricchimenti standard per il ContentPanel [cpHome] da registrare nella
 * variabile globale uiEnricherMgr
 */
function initStdEnrichments4CpHome() {
	var contentPanelName = "cpHome";
	/// arricchimento per guigen::WidgetsPanel [pRicerca]: aggiunta tooltip su label
	var pRicercaTips = [
		{id:'cbRegioneLbl', tip:'Seleziona la regione di residenza'},
		{id:'cbProvinciaLbl', tip:'Seleziona la provincia di residenza'},
		{id:'tfCognomeLbl', tip:'Inserisci il cognome da ricercare (sono accettate le wildcards %)'},
		{id:'tfRetribuzioneLbl', tip:'Inserisci la retribuzione minima da ricercare'}	];
	var addLblTipsToPRicerca = function(){uiNRichLib.addTooltipsByIDNRich(pRicercaTips)};
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pRicerca", addLblTipsToPRicerca);
	/// arricchimento per guigen::ComboBox [cbRegione]: autonarrowing
	var addNarrowingToCbRegione =  
		function(){uiNRichLib.addComboNarrowingNRich(
			'widg_cbRegione',
			 false)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pRicerca", addNarrowingToCbRegione);
	

	/// arricchimento per guigen::ComboBox [cbProvincia]: autonarrowing
	var addNarrowingToCbProvincia =  
		function(){uiNRichLib.addComboNarrowingNRich(
			'widg_cbProvincia',
			 false)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pRicerca", addNarrowingToCbProvincia);
	

	/// arricchimento di base per guigen::TextField [tfCognome]
	var addBasicEnrichmentToTfCognome =  
		function(){uiNRichLib.basicTextFieldNRich(
			'widg_tfCognome',
			 true, 
			 'java.lang.String', 
			 null)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pRicerca", addBasicEnrichmentToTfCognome);
	/// arricchimento di base per guigen::TextField [tfRetribuzione]
	var addBasicEnrichmentToTfRetribuzione =  
		function(){uiNRichLib.basicTextFieldNRich(
			'widg_tfRetribuzione',
			 false, 
			 'long', 
			 null)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pRicerca", addBasicEnrichmentToTfRetribuzione);
	/// arricchimento per guigen::Table [tRicerca]: tooltip header di colonna
	var tRicercaTips = [
		'',
		'',
		'',
		'',
		'',
		''	];

	var enhanceGridTRicerca =  
		function(){uiNRichLib.dynaDisplayTableNRich(
			'row_tRicerca',tRicercaTips
			)}; 
	uiEnricherMgr.registerEnrichment(contentPanelName, "p_pTabella", enhanceGridTRicerca);
}

/**
 * Arricchimenti custom
 */
function initCustomEnrichments4CpHome(){
/*PROTECTED REGION ID(R-997468914) ENABLED START*/
	/*
	 * definire e registrare qui eventuali arricchimenti custom, nel formato:
	 * var customEnr_n = function(){
	 *	// codice da eseguire all'applicazione dell'arricchimento
	 * };
	 * String customEnr_fragmentID = p_[id del pannello a cui deve essere associato l'arricchimento];
	 * uiEnricherMgr.registerEnrichment(contentPanelName, customEnr_fragmentID, customEnr_n);
	*/	
/*PROTECTED REGION END*/
}

function initUIStructCpHome(){
	var contentPanelName = "cpHome";
	var structure = 
      {
        name: "p_pMain", panels: [
        {
          name: "p_pMenu", panels: [
          ]
        }
,        {
          name: "p_pLeft", panels: [
          {
            name: "p_pMenu1", panels: []
          }
          ]
        }
,        {
          name: "p_pCenter", panels: [
          {
            name: "p_pnlErroriRicerca", panels: [
            ]
          }
,          {
            name: "p_pRicerca", panels: []
          }
,          {
            name: "p_pComandi", panels: []
          }
,          {
            name: "p_pTabella", panels: []
          }
,          {
            name: "p_pComandiTabella", panels: []
          }
          ]
        }
        ]
      }
;
	uiEnricherMgr.setPageStructure(contentPanelName, structure);
}

Ext.onReady( function() { 
	
	uiNRichLib.initStateManager();

	initStdEnrichments4CpHome();
	initCustomEnrichments4CpHome();
	initUIStructCpHome();
	uiEnricherMgr.setReady(); 
	uiEnricherMgr.applyAll("cpHome"); 
}); 

	